@mixin rangeThumb {
  width: 30px;
  height: 30px;
  margin: -14px 0px  0;
  border-radius: 50%;
  background: #37B54A;
  border: 1px solid #F5F4F4;
  cursor: pointer;
}

@mixin rangeTrack {
  width: 100%;
  height: 2px;
  cursor: pointer;
  background: #000000;
}

.range {
  position: relative;
  width: 457px;
  height: 2px;
  margin-top: 70px;
}

.range input {
  width: 100%;
  position: absolute;
  top: 36px;
  height: 0;
  -webkit-appearance: none;

  // Thumb
  &::-webkit-slider-thumb {
    -webkit-appearance: none; // needed again for Chrome & Safari
    @include rangeThumb;
  }

  &::-moz-range-thumb {
    @include rangeThumb;
  }

  &::-ms-thumb {
    @include rangeThumb;
  }

  // Track
  &::-webkit-slider-runnable-track {
    @include rangeTrack;
  }

  &::-moz-range-track {
    @include rangeTrack;
  }

  &::-ms-track {
    @include rangeTrack;
  }

  &:focus { // override outline/background on focus
    background: none;
    outline: none;
  }

  &::-ms-track { // A little somethin' somethin' for IE
    width: 100%;
    cursor: pointer;
    background: transparent;
    border-color: transparent;
    color: transparent;
  }
}

.wrapper-gradient {
  width: 457px;
  height: 35px;
  background: linear-gradient(267.56deg, #37B54A 0.14%, #FFFFFF 100%);
  .gradient {
    width: 0;
    height: 0;
    border-top: 35px solid #FBFBFB;
    border-right: 455px solid transparent;
  }
}

// Labels below slider
.range-labels {
  margin: 55px -3px 0;
  padding: 0;
  list-style: none;
  position: absolute;
  li {
    position: relative;
    float: left;
    text-align: left;
    color: #000000;
    font-size: 14px;
    cursor: pointer;

    &:nth-child(1) {
      margin-right: 101px;
    }
    &:nth-child(2) {
      margin-right: 91px;
    }
    &:nth-child(3) {
      margin-right: 91px;
    }
    &:nth-child(4) {
      margin-right: 104px;
    }

    &::before {
      position: absolute;
      top: -25px;
      right: 0;
      left: 0;
      content: "";
      margin: 0 auto;
      width: 9px;
      height: 9px;
      background: #000000;
      border-radius: 50%;
      z-index: 1;
    }
  }

  .active {
    color: #000000;
  }

  .selected::before {
    background: #000000;
  }

  .active.selected::before {
    display: none;
  }
}